#111864 Report by node erebus covering 1968 tests from 49 modules resulted into 52 errors

Report

ObsPy version
1.2.2
Continuous Integration
-
GitHub Pull Request
-
Report file
XML document
Total runtime
360.2 sec
Report date/time
2020-09-07 02:42:52

System / Python

Architecture
64bit
Machine
x86_64
Node
erebus
Processor
x86_64
Python Compiler
GCC 9.3.0
Python Implementation
CPython
Python Version
3.8.2
Release
5.4.0-45-generic
System
Linux
Version
#49-Ubuntu SMP Wed Aug 26 13:38:52 UTC 2020

Dependencies

cartopy
---
decorator
4.4.2
flake8
---
future
0.18.2
geographiclib
---
lxml.etree
4.5.2
m2crypto
---
matplotlib
3.3.1
mock
---
mpl_toolkits.basemap
---
numpy
1.19.1
pep8-naming
---
pyflakes
---
pyimgur
---
pyproj
---
requests
2.22.0
scipy
1.5.2
setuptools
45.2.0
shapefile
---
sqlalchemy
1.3.19

Modules (49)

Module Errors / Failures Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem 3 1 2 3
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 11 4 5 6 7 8 9 10 11 12 13 14
obspy.db - -
obspy.geodetics - -
obspy.imaging 32 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.hypodd - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 5 47 48 49 50 51
obspy.taup 1 52
Summary 52 52

Tracebacks (52)

Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tests/test_tsindex.py", line 720, in test__get_leap_seconds_file
open(test_file, 'a').close()
PermissionError: [Errno 13] Permission denied: '/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tsindex.py", line 1145, in download_leap_seconds_file
with open(file_path, "w") as fh:
PermissionError: [Errno 13] Permission denied: '/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tests/test_tsindex.py", line 668, in test_download_leap_seconds_file
file_path = indexer.download_leap_seconds_file(test_file)
File "/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tsindex.py", line 1148, in download_leap_seconds_file
raise OSError("Failed to create leap seconds file at {} due to {}."
OSError: Failed to create leap seconds file at /usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list due to [Errno 13] Permission denied: '/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'.
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tsindex.py", line 1145, in download_leap_seconds_file
with open(file_path, "w") as fh:
PermissionError: [Errno 13] Permission denied: '/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tests/test_tsindex.py", line 684, in test_download_leap_seconds_file_no_path_given
file_path = indexer.download_leap_seconds_file()
File "/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tsindex.py", line 1148, in download_leap_seconds_file
raise OSError("Failed to create leap seconds file at {} due to {}."
OSError: Failed to create leap seconds file at /usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list due to [Errno 13] Permission denied: '/usr/local/lib/python3.8/dist-packages/obspy/clients/filesystem/tests/data/tsindex_data/leap-seconds.list'.
Traceback (most recent call last):
File "/usr/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.trace.Trace.times
File "/usr/local/lib/python3.8/dist-packages/obspy/core/trace.py", line 2487, in times
----------------------------------------------------------------------
File "/usr/local/lib/python3.8/dist-packages/obspy/core/trace.py", line 2529, in obspy.core.trace.Trace.times
Failed example:
tr.times("matplotlib")
Expected:
array([ 733643.01392361, 733643.01392373, 733643.01392384, ...,
733643.01427049, 733643.0142706 , 733643.01427072])
Got:
array([ 14480.01392361, 14480.01392373, 14480.01392384, ...,
14480.01427049, 14480.0142706 , 14480.01427072])
Traceback (most recent call last):
File "/usr/lib/python3.8/doctest.py", line 2197, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.utcdatetime.UTCDateTime.matplotlib_date
File "/usr/local/lib/python3.8/dist-packages/obspy/core/utcdatetime.py", line unknown line number, in matplotlib_date
----------------------------------------------------------------------
File "/usr/local/lib/python3.8/dist-packages/obspy/core/utcdatetime.py", line ?, in obspy.core.utcdatetime.UTCDateTime.matplotlib_date
Failed example:
t.matplotlib_date
Expected:
733643.0139780092
Got:
14480.01397800926
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/core/tests/test_channel.py", line 61, in test_response_plot
cha.plot(0.005, outfile=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: channel_response.png
	RMS: 5.1236100992815485
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/core/tests/test_station.py", line 56, in test_response_plot
sta.plot(0.05, channel="*[NE]", outfile=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: station_response.png
	RMS: 10.352036383185995
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/core/tests/test_station.py", line 75, in test_response_plot_degrees
sta.plot(0.05, channel="*[NE]", plot_degrees=True,
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: station_response_degrees.png
	RMS: 10.350095533817859
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/core/tests/test_utcdatetime.py", line 1092, in test_matplotlib_date
np.testing.assert_almost_equal(
File "/usr/local/lib/python3.8/dist-packages/numpy/testing/_private/utils.py", line 595, in assert_almost_equal
raise AssertionError(_build_err_msg())
AssertionError:
Arrays are not almost equal to 8 decimals
ACTUAL: 5965.5723676839116
DESIRED: 725128.5723676839
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/core/tests/test_trace.py", line 2303, in test_remove_response_plot
tr.remove_response(pre_filt=pre_filt, output="DISP",
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: trace_remove_response.png
	RMS: 8.335286780566443
	Tolerance: 4.5
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/core/tests/test_trace.py", line 1448, in test_times
np.testing.assert_allclose(got[:5], expected, rtol=1e-17)
File "/usr/local/lib/python3.8/dist-packages/numpy/testing/_private/utils.py", line 1527, in assert_allclose
assert_array_compare(compare, actual, desired, err_msg=str(err_msg),
File "/usr/local/lib/python3.8/dist-packages/numpy/testing/_private/utils.py", line 840, in assert_array_compare
raise AssertionError(msg)
AssertionError:
Not equal to tolerance rtol=1e-17, atol=0
Mismatched elements: 5 / 5 (100%)
Max absolute difference: 719163.0
Max relative difference: 0.9849928778830878
x: array([ 10957. , 10957.000001, 10957.000001, 10957.000002,
10957.000002])
y: array([ 730120. , 730120.000001, 730120.000001, 730120.000002,
730120.000002])
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/core/tests/test_inventory.py", line 201, in test_response_plot
inv.plot_response(0.01, output="ACC", channel="*N",
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: inventory_response.png
	RMS: 9.886507545281157
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/core/tests/test_network.py", line 146, in test_response_plot
net.plot_response(0.002, output="DISP", channel="B*E",
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: network_response.png
	RMS: 6.860723345242748
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/core/tests/test_response.py", line 165, in test_response_plot_degrees
resp.plot(0.001, output="VEL", start_stage=1, end_stage=3,
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: response_response_degrees.png
	RMS: 3.027560756111171
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_plot.py", line 44, in test_plot
obspy_plot(['--outfile', ic.name] + all_files)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: plot.png
	RMS: 12.227737321352631
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_plot.py", line 59, in test_plot_no_merge
obspy_plot(['--no-automerge', '--outfile', ic.name] +
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: plot_nomerge.png
	RMS: 10.725236283333498
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_ppsd.py", line 44, in test_ppsd_plot
fig.savefig(ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: ppsd.png
	RMS: 23.8649003070758
	Tolerance: 4.5
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_ppsd.py", line 91, in test_ppsd_plot_cumulative
fig.savefig(ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: ppsd_cumulative.png
	RMS: 24.15081641132103
	Tolerance: 4.5
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_ppsd.py", line 69, in test_ppsd_plot_frequency
fig.savefig(ic.name, dpi=50)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: ppsd_freq.png
	RMS: 13.905792558019362
	Tolerance: 6.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 299, in test_plot_azim_section
st.plot(outfile=ic.name, type='section', dist_degree=True,
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_azim_section.png
	RMS: 4.15877245510419
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 343, in test_plot_colored_section
st.plot(outfile=ic.name, type='section', color='channel')
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_color_section.png
	RMS: 7.591308187657777
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 207, in test_plot_complex_gap_few_samples
st.plot(outfile=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_complex_gap_few_samples.png
	RMS: 9.387093799467436
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 186, in test_plot_complex_gap_many_samples
st.plot(outfile=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_complex_gap_many_samples.png
	RMS: 9.367334199226587
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 449, in test_plot_day_plot
st.plot(outfile=ic.name, type='dayplot',
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_dayplot.png
	RMS: 6.519696120219101
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 484, in test_plot_day_plot_catalog
st.plot(outfile=ic.name, type='dayplot',
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_dayplot_catalog.png
	RMS: 13.147740617054069
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 466, in test_plot_day_plot_explicit_event
st.plot(outfile=ic.name, type='dayplot',
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_dayplot_event.png
	RMS: 6.519705067460235
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 424, in test_plot_default_relative
st.plot(outfile=ic.name, type='relative')
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_default_relative.png
	RMS: 11.444898863685953
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 284, in test_plot_default_section
st.plot(outfile=ic.name, type='section')
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_default_section.png
	RMS: 7.609375795687844
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 313, in test_plot_horizontal_section
st.plot(outfile=ic.name, type='section', orientation='horizontal')
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_horiz_section.png
	RMS: 4.179288815097612
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 216, in test_plot_multiple_traces
st.plot(outfile=ic.name, automerge=False)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_1_trace.png
	RMS: 19.248369281578114
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 135, in test_plot_one_hour_few_samples
st.plot(outfile=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_one_hour_few_samples.png
	RMS: 8.835126201701932
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 122, in test_plot_one_hour_many_samples
st.plot(outfile=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_one_hour_many_samples.png
	RMS: 8.79448093977126
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 438, in test_plot_ref_time_relative
st.plot(outfile=ic.name, type='relative', reftime=ref)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_reftime_relative.png
	RMS: 11.388226376394174
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 328, in test_plot_ref_time_section
st.plot(outfile=ic.name, type='section', reftime=reftime)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_reftime_section.png
	RMS: 7.895499984168197
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 165, in test_plot_simple_gap_few_samples
st.plot(outfile=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_simple_gap_few_samples.png
	RMS: 8.583370841341996
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 150, in test_plot_simple_gap_many_samples
st.plot(outfile=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_simple_gap_many_samples.png
	RMS: 8.565587837387461
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 395, in test_plot_wiggles_horizontal_section
st.plot(outfile=ic.name, type='section', orientation='horizontal',
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_wiggles_horizontal_section.png
	RMS: 8.936630610395992
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 360, in test_plot_wiggles_negative_section
st.plot(outfile=ic.name, type='section', orientation='horizontal',
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_wiggles_negative_section.png
	RMS: 8.936630610395992
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 378, in test_plot_wiggles_positive_section
st.plot(outfile=ic.name, type='section', orientation='horizontal',
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_wiggles_positive_section.png
	RMS: 8.936630610395992
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 412, in test_plot_wiggles_vertical_section
st.plot(outfile=ic.name, type='section', orientation='vertical',
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_wiggles_vertical_section.png
	RMS: 7.591218171896611
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_waveform.py", line 255, in test_plot_with_labels
st.plot(outfile=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_labels.png
	RMS: 10.851448444025035
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_scan.py", line 73, in test_scan_function_and_scanner_class
scan(paths=os.curdir, plot=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: scan.png
	RMS: 8.132253848886045
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_scan.py", line 57, in test_scan_main_method
obspy_scan([os.curdir] + ['--output', ic.name])
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: scan.png
	RMS: 8.132253848886045
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_scan.py", line 169, in test_scan_save_load_npz
scanner.plot(ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: scan.png
	RMS: 8.132253848886045
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_scan.py", line 139, in test_scanner_manually_add_streams
scanner.plot(ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: scan.png
	RMS: 8.132253848886045
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/imaging/tests/test_spectrogram.py", line 46, in test_spectrogram
spectrogram.spectrogram(
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: spectrogram_log.png
	RMS: 6.448121173385831
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/signal/tests/test_interpolation.py", line 136, in test_plot_lanczos_window
plot_lanczos_windows(a=20, filename=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: plot_lanczos_window.png
	RMS: 13.266716499068888
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/signal/tests/test_spectral_estimation.py", line 504, in test_ppsd_restricted_stacks
fig.savefig(ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: ppsd_restricted_stack.png
	RMS: 13.212853590349058
	Tolerance: 4.5
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/signal/tests/test_detrend.py", line 73, in test_polynomial_detrend_plotting
polynomial(tr.data, order=3, plot=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: polynomial_detrend.png
	RMS: 7.700355186613147
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/signal/tests/test_detrend.py", line 87, in test_spline_detrend_plotting
spline(tr.data, order=1, dspline=1500, plot=ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: degree_1_spline_detrend.png
	RMS: 7.700355186613147
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/signal/tests/test_cross_correlation.py", line 301, in test_xcorr_pick_correction_images
dt, coeff = xcorr_pick_correction(
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: xcorr_pick_corr.png
	RMS: 11.053224642609957
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').
Traceback (most recent call last):
File "/usr/local/lib/python3.8/dist-packages/obspy/taup/tests/test_plotting.py", line 95, in test_spherical_diff_phases
plt.savefig(ic.name)
File "/usr/local/lib/python3.8/dist-packages/obspy/core/util/testing.py", line 513, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: spherical_diff_phases.png
	RMS: 5.820826115481089
	Tolerance: 3.0
Upload to imgur failed (caught ModuleNotFoundError: No module named 'pyimgur').

Skipped tests (45)

Submodule Test Skip message
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
core test_no_pyplot_import_in_any_file (obspy.core.tests.test_code_formatting.MatplotlibBackendUsageTestCase) No code formatting tests for release builds
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) basemap not installed
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
io.nlloc test_read_nlloc_scatter_coordinate_conversion (obspy.io.nlloc.tests.test_util.NLLOCTestCase) pyproj not installed
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_with_extra_field (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile_with_extra_field (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels
signal test_schema_validation (obspy.signal.tests.test_quality_control.QualityControlTestCase) Test requires the jsonschema module
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34

Slowest tests (20)

Runtime Test
21.756s __init__ (obspy.taup)
12.784s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
12.637s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
9.068s plot_travel_times (obspy.taup.tau)
8.735s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
8.404s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
5.485s test_correlate_stream_template_and_correlation_detector (obspy.signal.tests.test_cross_correlation.CrossCorrelationTestCase)
5.039s test_rotate2zne_against_lqt_different_combinations (obspy.signal.tests.test_rotate.RotateTestCase)
5.019s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
4.941s test_plot_tf_misfits (obspy.signal.tests.test_tf_misfit.TfPlotTestCase)
4.855s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
4.803s test_plot_tf_gofs (obspy.signal.tests.test_tf_misfit.TfPlotTestCase)
4.568s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
4.349s test_cartesian_many_phases (obspy.taup.tests.test_plotting.TauPyPlottingTestCase)
4.072s test_plot_travel_times_convenience (obspy.taup.tests.test_plotting.TauPyPlottingTestCase)
3.891s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
3.851s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
3.320s test_relcal_using_dict (obspy.signal.tests.test_calibration.CalibrationTestCase)
3.312s __init__ (obspy.taup.tau.TauPyModel)
3.304s test_relcal_using_traces (obspy.signal.tests.test_calibration.CalibrationTestCase)